// exampleDlg.h : header file
//

#if !defined(AFX_EXAMPLEDLG_H__B0FE4D0F_8C97_427B_BC91_0A9FEEFD2266__INCLUDED_)
#define AFX_EXAMPLEDLG_H__B0FE4D0F_8C97_427B_BC91_0A9FEEFD2266__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CExampleDlg dialog
/////////////////////////////////////////////////////////////////////////////
typedef long __stdcall MLoad(char *filename,char *password);
typedef long __stdcall MEncode(long id,long pageno);
typedef long __stdcall MFree(long id);
typedef long __stdcall MGetCount(long id);
typedef long __stdcall MSetParam( long id,char *outpath,long imagetype,long bitcount,
								  long compression,long quality,long grayscale,long multipage,
								  long rotate,long width,long height,long xdpi,long ydpi);
/////////////////////////////////////////////////////////////////////////////
const IMAGE_FORMAT_TIF = 1;
const IMAGE_FORMAT_JPG = 2;
const IMAGE_FORMAT_BMP = 3;
const IMAGE_FORMAT_PNG = 4;
const IMAGE_FORMAT_GIF = 5;
const IMAGE_FORMAT_PCX = 6;
const IMAGE_FORMAT_EMF = 7;
const IMAGE_FORMAT_WMF = 8;
const IMAGE_FORMAT_TGA = 9;
const IMAGE_FORMAT_JP2 = 10;
const IMAGE_FORMAT_RAS = 11;
const IMAGE_FORMAT_JPC = 12;
/////////////////////////////////////////////////////////////////////////////
//The compression method in the generated TIFF file.
const	COMPRESSION_NONE		= 1;		/* dump mode */
const	COMPRESSION_CCITTRLE	= 2;		/* CCITT modified Huffman RLE */
const	COMPRESSION_CCITTFAX3	= 3;		/* CCITT Group 3 fax encoding */
const	COMPRESSION_CCITTFAX4	= 4;		/* CCITT Group 4 fax encoding */
const	COMPRESSION_LZW			= 5;		/* Lempel-Ziv  & Welch */
const	COMPRESSION_JPEG		= 7;		/* %JPEG DCT compression */
const	COMPRESSION_PACKBITS	= 32773;	/* Macintosh RLE */

/////////////////////////////////////////////////////////////////////////////

class CExampleDlg : public CDialog
{
// Construction
public:
	CExampleDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CExampleDlg)
	enum { IDD = IDD_EXAMPLE_DIALOG };
	CProgressCtrl	m_progress;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CExampleDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

private:
	HMODULE		m_hinstLib;
	MLoad		*pLoad;
	MEncode		*pEncode;
	MFree		*pFree;	
	MGetCount	*pGetCount;
	MSetParam	*pSetParam;


private:
	BOOL LoadPdfToImageDll();
	BOOL FreePdfToImageDll();


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CExampleDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnDemo();
	afx_msg void OnDemo2();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EXAMPLEDLG_H__B0FE4D0F_8C97_427B_BC91_0A9FEEFD2266__INCLUDED_)
